module VidyoIo
  module Util
    # A Ruby implementation of part of Python's binascii module
    module BinASCII
      # Convert the supplied binary string to the hex representation
      #
      # @param [String] bin_data The binary data to encode
      # @return [String] The hex encoded binary data.
      def self.hexlify(bin_data)
        bin_data.unpack('H*').first
      end
    end
  end
end
